- name: check disk status
  shell: ceph-volume lvm list /dev/{{ item }}
  register: disk_status
  loop: "{{ ceph.disks[inventory_hostname] }}"
  failed_when: disk_status.rc < 0 or disk_status.rc > 1

- name: wipe any existing disk signatures
  shell: wipefs -a /dev/{{ item }}
  when: 0 != disk_status.results[i].rc
  loop: "{{ ceph.disks[inventory_hostname] }}"
  loop_control:
    index_var: i

- name: create logical volume
  shell: ceph-volume lvm create --data /dev/{{ item }}
  when: 0 != disk_status.results[i].rc
  loop: "{{ ceph.disks[inventory_hostname] }}"
  loop_control:
    index_var: i
